%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Easily get an image from a LaTeX formula
Name:		klatexformula
Version:	4.1.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Publishing
Url:		https://klatexformula.sourceforge.io/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		klatexformula-4.1.0-fix-build-against-qt-5.15.0.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	ghostscript
Requires:	tetex-latex
Requires:	tetex-dvips
Requires:	qt5-database-plugin-sqlite

%description
This application provides an easy-to-use graphical user interface
for generating images from LaTeX equations. These images can be
dragged and dropped or copied and pasted into external applications
(presentations, text documents, graphics...), or can be saved to
disk in a variety of formats (PNG, JPG, BMP, EPS, PDF, etc.). In
addition to the graphical user interface, a command-line interface
and a C++ library are provided to perform the same job.

%package -n %libname
Summary:	Shared libraries for KLatexFormula
Group:		System/Libraries

%description -n %libname
This package contains shared libraries for KLatexFormula.

%package -n %develname
Summary:	Development files for KLatexFormula
Group:		Development/C++
Requires:	%libname = %version-%release
Provides:	%{name}-devel = %version-%release
Obsoletes:	%{name}-devel < 3.2.11-6

%description -n %develname
This package contains development files for KLatexFormula.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DKLF_LIBKLFBACKEND_STATIC=OFF \
	-DKLF_LIBKLFBACKEND_AUTO_STATIC=OFF \
	-DKLF_LIBKLFTOOLS_STATIC=OFF \
	-DKLF_INSTALL_ICON_THEME=%{_iconsdir}/hicolor/ \
	-DKLF_INSTALL_DESKTOP_CATEGORIES="Qt;Office;" \
	-DKLF_INSTALL_DESKTOP_ICON="%{name}" \
	-DKLF_INSTALL_DESPLUGIN_DIR=%{_qt5_plugindir}/designer/ \
	-DKLF_INSTALL_LIB_DIR=%{_libdir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README descr_*.txt
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/%{name}/
%{_qt5_plugindir}/designer/*.so
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/lib*.so.%{major}

%files -n %develname
%{_includedir}/klfbackend/
%{_includedir}/klftools/
%{_libdir}/lib*.so


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 4.1.0-2.mga8
+ Revision: 1658764
- Rebuild for new Qt5

* Sun Jul 26 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1609055
- new version: 4.1.0
- add patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 4.0.0-5.mga8
+ Revision: 1524676
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 4.0.0-4.mga7
+ Revision: 1382595
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.0.0-3.mga7
+ Revision: 1298572
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 4.0.0-2.mga7
+ Revision: 1233776
- add patch to fix build with new Qt5 >= 5.11.0

* Sat Feb 11 2017 daviddavid <daviddavid> 4.0.0-1.mga6
+ Revision: 1085729
- new version: 4.0.0 (Qt5 based)
- port to Qt5
- now libmajor is 4
- fix devel pkg name

* Sun Jan 15 2017 daviddavid <daviddavid> 3.2.11-5.mga6
+ Revision: 1081766
- add missing requires on qt4-database-plugin-sqlite (mga#19980)

* Thu Mar 31 2016 daviddavid <daviddavid> 3.2.11-4.mga6
+ Revision: 997179
- add patch1 to fix build with CMake 3.4 and higher
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.11-3.mga5
+ Revision: 740532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.11-2.mga5
+ Revision: 681105
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 lmenut <lmenut> 3.2.11-1.mga5
+ Revision: 674443
- update to 3.2.11

* Sat Oct 19 2013 umeabot <umeabot> 3.2.7-2.mga4
+ Revision: 530350
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 sander85 <sander85> 3.2.7-1.mga4
+ Revision: 457365
- New version: 3.2.7

* Sat Jan 19 2013 fwang <fwang> 3.2.4-2.mga3
+ Revision: 389649
- update file list
- declare libdir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 23 2011 lebedov <lebedov> 3.2.4-1.mga2
+ Revision: 147046
- imported package klatexformula

